Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Pod::Perldoc::ToRtf

Perl 5 version 18.2 documentation
Go to top
Show page index • Show recent pages
Recently read

# Pod::Perldoc::ToRtf

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- COPYRIGHT AND DISCLAIMERS
- AUTHOR

# NAME

Pod::Perldoc::ToRtf - let Perldoc render Pod as RTF

# SYNOPSIS

      perldoc -o rtf Some::Modulename

# DESCRIPTION

This is a "plug-in" class that allows Perldoc to use Pod::Simple::RTF as a formatter class.

This is actually a Pod::Simple::RTF subclass, and inherits all its options.

You have to have Pod::Simple::RTF installed (from the Pod::Simple dist), or this module won't work.

If Perldoc is running under MSWin and uses this class as a formatter, the output will be opened with write.exe or whatever program is specified in the environment variable `RTFREADER` . For example, to specify that RTF files should be opened the same as they are when you double-click them, you would do `set RTFREADER=start.exe` in your autoexec.bat.

Handy tip: put `set PERLDOC=-ortf` in your autoexec.bat and that will set this class as the default formatter to run when you do `perldoc whatever` .

# SEE ALSO

Pod::Simple::RTF, Pod::Simple, Pod::Perldoc

# COPYRIGHT AND DISCLAIMERS

Copyright (c) 2002 Sean M. Burke. All rights reserved.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.

# AUTHOR

Current maintainer: Mark Allen `<mallen@cpan.org>`

Past contributions from: brian d foy `<bdfoy@cpan.org>` Adriano R. Ferreira `<ferreira@cpan.org>` , Sean M. Burke `<sburke@cpan.org>`

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- COPYRIGHT AND DISCLAIMERS
- AUTHOR